%define upstream_name    URI-Template
%define upstream_version 0.24

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Object for handling URI templates (RFC 6570)
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/URI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(Unicode::Normalize)
BuildArch:  noarch

%description
This module provides a wrapper around URI templates as described in RFC
6570: the http://tools.ietf.org/html/rfc6570 manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.240.0-4.mga10
+ Revision: 2211801
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 0.240.0-3.mga9
+ Revision: 1830218
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.240.0-2.mga8
+ Revision: 1519792
- Mageia 8 Mass Rebuild

* Sat Oct 20 2018 tv <tv> 0.240.0-1.mga7
+ Revision: 1322740
- update to 0.24

* Thu Sep 20 2018 umeabot <umeabot> 0.220.0-2.mga7
+ Revision: 1287145
- Mageia 7 Mass Rebuild

* Tue Nov 21 2017 kharec <kharec> 0.220.0-1.mga7
+ Revision: 1178033
- add Module::Install BR
- imported package perl-URI-Template


* Tue Nov 21 2017 cpan2dist 0.22-1mga
- initial mageia release, generated with cpan2dist
